Subject: bug#23569: thing-at-point, source of slowness

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 08 Jul 2021 02:49:45 +0200

Andreas Röhler <[email-masked]> writes:

> in thingatpt.el:
>
> ;; The function bounds-of-thing-at-point finds the beginning and end
> ;; positions by moving first forward to the end of the "thing", and then
> ;; backwards to the beginning.
>
> ;;;;;;;
>
> Also bounds-of-thing-at-point jumps to-and-fro, doing some sanity check every
> time.
>
> Suggest to jump first at the beginning, as backward move might be slow. 
>
> Avoid to-and-fro, deliver tests instead, so first try will be reliable or
> return nil.

(I'm going through old bug reports that unfortunately got little response at
the time.)

I'm not sure I understand the issue, even with the response you gave to
Eli at the time.

Do you have a test case that demonstrates this slowness, and an example
of how you'd change the code?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no